spe_gang_context Struct Reference

`#include <libspe2-types.h>`

Collaboration diagram for spe_gang_context:

## Data Fields

struct spe_gang_context_base_priv * | base_private
struct spe_gang_context_event_priv * | event_private

## Detailed Description

SPE gang context The SPE gang context is one of the base data structures for the libspe2 implementation. It holds all persistent information about a group of SPE contexts that should be treated as a gang, i.e., be execute together with certain properties. This data structure should not be accessed directly, but the application uses a pointer to an SPE gang context as an identifier for the SPE gang it is dealing with through libspe2 API calls.

Definition at line 94 of file libspe2-types.h.

## Field Documentation

struct spe_gang_context_base_priv* base_private

Definition at line 99 of file libspe2-types.h.

Referenced by _base_spe_context_create(), and _base_spe_gang_context_create().

struct spe_gang_context_event_priv* event_private

Definition at line 100 of file libspe2-types.h.

The documentation for this struct was generated from the following file:

- libspe2-types.h